Skip to main content
GET
/
orders
List Orders
curl --request GET \
  --url https://api.paxos.com/v2/orders \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.paxos.com/v2/orders"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.paxos.com/v2/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "id": "f190b163-208f-4d73-8deb-4fb8b24add00",
      "profile_id": "b7b77d82-e6a7-4ae9-9904-36231aedf985",
      "ref_id": "my-order-1",
      "status": "FILLED",
      "market": "ETHUSD",
      "side": "BUY",
      "type": "LIMIT",
      "price": "190.23",
      "base_amount": "2.35781498",
      "quote_amount": "0",
      "metadata": {
        "customer_id": "9b8c9cba-801e-4418-adc0-ede709df6339"
      },
      "amount_filled": "2.35781498",
      "volume_weighted_average_price": "190.23",
      "time_in_force": "GTC",
      "is_triggered": false
    },
    {
      "id": "81e26e1d-eddb-455a-8b44-e3d845432de7",
      "profile_id": "b7b77d82-e6a7-4ae9-9904-36231aedf985",
      "ref_id": "my-order-2",
      "status": "FILLED",
      "market": "BTCUSD",
      "side": "BUY",
      "type": "MARKET",
      "price": "0",
      "base_amount": "0",
      "quote_amount": "500.00",
      "metadata": {
        "customer_id": "9b8c9cba-801e-4418-adc0-ede709df6339"
      },
      "amount_filled": "0.05142181",
      "volume_weighted_average_price": "9723.50",
      "time_in_force": "FOK",
      "is_triggered": false
    }
  ],
  "next_page_cursor": "CgsIxom6iQYQwO39XBDbsdVz"
}
OAuth Scope
exchange:read_order

Authorizations

Authorization
string
header
required

Paxos APIs use OAuth 2 with the client credentials grant flow.

Token URLs:

Learn more in the API credentials guide →

Query Parameters

profile_id
string

The profile associated with the orders.

account_id
string

The account under which these orders are placed.

market
enum<string>

Filter by the trading pair.

Available options:
ETHEUR,
ETHSGD,
ETHUSD,
BTCEUR,
BTCSGD,
BTCUSD,
PAXGUSD,
BCHUSD,
LTCUSD,
USDPUSD,
LINKUSD,
AAVEUSD,
UNIUSD,
PEPEUSD,
TRUMPUSD,
SHIBUSD,
ARBUSD,
BONKUSD,
ENAUSD,
MNTUSD,
ONDOUSD,
PENGUUSD,
QNTUSD,
RENDERUSD,
SKYUSD,
WIFUSD,
WLDUSD,
DOGEUSD,
AVAXUSD,
SUIUSD
status
enum<string>

Filter by the status of the order.

Available options:
PENDING_SUBMISSION,
SUBMITTED,
OPEN,
FILLED,
CANCELLED,
REJECTED,
EXPIRED
order_time.begin
string<date-time>

Only return records after this timestamp, inclusive. RFC3339 format, like 2006-01-02T15:04:05Z.

order_time.end
string<date-time>

Only return records before this timestamp, inclusive. RFC3339 format, like 2006-01-02T15:04:05Z.

ref_ids
string[]

The idempotence IDs provided during order creation.

page_cursor
string

Cursor token for fetching the next page. If using this then do not use paginationLimit and paginationOffset fields.

limit
integer<int32>

Number of results to return. If using this then do not use paginationLimit and paginationOffset fields.

Response

200 - application/json

A successful response.

items
object[]
next_page_cursor
string

Cursor token required for fetching the next page.